GpgFrontend Project A Free, Powerful, Easy-to-Use, Compact, Cross-Platform, and Installation-Free OpenPGP(pgp) Crypto Tool.

Static Public Member Functions | List of all members
GpgFrontend::CacheManager Class Reference
Collaboration diagram for GpgFrontend::CacheManager:

## Static Public Member Functions
static void | SaveCache (std::string key, const nlohmann::json &value)
static nlohmann::json | LoadCache (std::string name)
static void | ClearAllCache ()

## Member Function Documentation

## ◆ SaveCache()

void GpgFrontend::CacheManager::SaveCache | ( | std::string | key,
|  | const nlohmann::json & | value
| ) |  |
| static

Copyright (C) 2021 Saturneric

This file is part of GpgFrontend.

GpgFrontend is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.

GpgFrontend is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with GpgFrontend. If not, see https://www.gnu.org/licenses/.

The initial version of the source code is inherited from the gpg4usb project, which is under GPL-3.0-or-later.

All the source code of GpgFrontend was modified and released by Saturnericeric@.nosp@m.bktu.nosp@m.s.com starting on May 12, 2021.

SPDX-License-Identifier: GPL-3.0-or-later

References GpgFrontend::SingletonFunctionObject< DataObjectOperator >::GetInstance().

The documentation for this class was generated from the following files:

- src/core/function/CacheManager.h
- src/core/function/CacheManager.cpp